﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--<link href="/css/bootstrap.min.css" rel="stylesheet" />-->
    <script src="/js/jquery.min.js"></script> 
</head>
<body style="margin:0">
     
        <div id="divPrint" style="width:928px !important;margin-top:40px;padding:0;border:white solid 1px">
        </div>
     
    <script type="text/javascript">
        $(document).ready(function () {
            if (localStorage.getItem('BarcodeDetails') != null) {

                PrintBarcode();
            }

        });

        function PrintBarcode() {
            var itemList = JSON.parse(localStorage.getItem('BarcodeDetails'));
            var html2 = '';
            $.each(itemList, function (index, item) {
                var Qty = Number(item.Qty);
                var Aprice = item.SRP;
                var price = (Aprice.toString().split(".")[0]);
                var Dprice = (Aprice.toString().split(".")[1]);
                var html = '';

                html += '<div style="width:100px;float: left;padding: 4px 7px 0px 7px;;border:white solid 1px;height:51px"><img src="https://www.cognex.com/api/Sitecore/Barcode/Get?data=' + item.Barcode + '&code=BCL_UPCA&width=96&imageType=JPG&foreColor=%23000000&backColor=%23FFFFFF&rotation=RotateNoneFlipNone" alt="Barcode generated by Cognex Corporation" style="height:48px !important;width:96px;"></div>';

                for (var i = 1; i <= Qty; i++) {
                    html2 += html
                }
            });

            $("#divPrint").append(html2)
            window.print();
        }
    </script>
    <!--<link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css" />-->
    <script src="/Admin/BarCode/Barcodeforproduct.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    <!--<script src="BarCode/jquery-barcode.js"></script>-->
</body>
</html>
